Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6056 - upgrade from 6.0 to 6.1 broke blackdown jdk1.7v1a
Summary: upgrade from 6.0 to 6.1 broke blackdown jdk1.7v1a
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-18 16:22 UTC by mmortens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-25 23:07:27 UTC


Attachments (Terms of Use)

Description mmortens 1999-10-18 16:22:13 UTC
After upgrading from 6.0 to 6.1 and try to run a java
program I get the error:

/usr/local/Lucent/PMVision# pmvision
Cannot open /proc/05507 for GCCould not create Java VM


pmvision:

jre -cp /usr/local/Lucent/PMVision/pmvision.jar \
-cp /usr/local/Lucent/PMVision/pmvhelp.jar  \
-cp /usr/local/Lucent/PMVision/helpsys.jar  \
-cp /usr/local/Lucent/PMVision/oromatcher.jar \
PMVision $*


When I upgraded to 6.0 I had to switch to using native
threads does this have something to do with it?  Here is my
environment:
1 ~# env
USERNAME=root
ENV=/root/.bashrc
HISTSIZE=1000
HOSTNAME=thag.co.weber.ut.us
LOGNAME=root
HISTFILESIZE=1000
MAIL=/var/spool/mail/root
THREADS_FLAG=native
TERM=xterm
HOSTTYPE=i386
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/bin/X11:/usr/X11R6/bin:/usr/local/jdk117_v1a/bin:/root/bin:.
KDEDIR=/usr
HOME=/root
INPUTRC=/etc/inputrc
SHELL=/bin/bash
PS1=\# \w\$
USER=root
OSTYPE=Linux
SHLVL=1
_=/usr/bin/env

Comment 1 mmortens 1999-10-21 21:55:59 UTC
I have tried upgrading to jdk1.7v3 with out any change.  Once again
the output is:
# ./pmvision
Cannot open /proc/08420 for GCCould not create Java VM

I am really in a bind any help in resolving this issue is welcome.

Comment 2 mmortens 1999-10-21 22:09:59 UTC
I have tried upgrading to jdk1.7v3 with out any change.  Once again
the output is:
# ./pmvision
Cannot open /proc/08420 for GCCould not create Java VM

I am really in a bind any help in resolving this issue is welcome.

Comment 3 Bill Nottingham 1999-10-22 14:28:59 UTC
Hmm... looks like the JDK is relying on a bug/misfeature
in the older kernel, in that you could read /proc/23 as
/proc/00023. This was fixed in the 2.2.13 (and 2.2.12+fixes
that ships in 6.1).

What JDK are you using? (IBM/Blackdown/etc.)

Comment 4 mmortens 1999-10-22 17:13:59 UTC
I am using blackdown jdk1.1.7v3 and had used v1a

Comment 5 Bill Nottingham 1999-10-22 21:21:59 UTC
You might try using the IBM jdk; it's a jdk bug that it's
trying to access the directory like this.

Comment 6 mmortens 1999-10-25 20:01:59 UTC
I switched to ibm-jdk-l118-linux-x86 and it worked.  The thing that I
don't understand is that it only broke when I upgraded to RH6.1.
Previous to that the Blackdown jdk worked fine for me.  This looks
like it is still a RH problem and would appreciate more info.

Comment 7 Bill Nottingham 1999-10-25 23:07:59 UTC
The kernel changed; it doesn't allow addressing /proc directories
like that any more.


Note You need to log in before you can comment on or make changes to this bug.